Modern REST API for WebWork Time Tracker with OAuth2 authentication. This API provides access to workspaces, members, projects, and time tracking features.
/
Assign Project to Viewer
WebWork Time Tracker API V2 Documentation (2.0.0)
Overview
Languages
Servers
Production Server
https://api.webwork-tracker.com/api/v2
Manage contracts (project-member assignments) within workspaces. Contracts define which members are assigned to which projects, with settings for rates, hours limits, and screenshot modes. Rate information is only visible if you have permission to view rates and the project is billable.
Operations
- Production Serverhttps://api.webwork-tracker.com/api/v2/project-viewers
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X GET \
'https://api.webwork-tracker.com/api/v2/project-viewers?workspace_id=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/project-viewers
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X POST \
https://api.webwork-tracker.com/api/v2/project-viewers \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 0,
"email": "user@example.com",
"firstname": "string",
"lastname": "string"
}'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X GET \
'https://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}?workspace_id=0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X DELETE \
'https://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 0
}'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}/restore
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X POST \
'https://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}/restore' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 0
}'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}/assign-project
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X POST \
'https://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}/assign-project' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 0,
"project_id": 0
}'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}/unassign-project
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X DELETE \
'https://api.webwork-tracker.com/api/v2/project-viewers/{viewerId}/unassign-project' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 0,
"project_id": 0
}'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }